<?php

namespace Ecommerce\Controllers;

use Zeedhi\Framework\DTO;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class PedCotWeb extends StoredProcedure
{

    protected $aceitaPedCotWeb;

    public function __construct($connection)
    {
        parent::__construct($connection, 'ACEITA_PEDCOTWEB');
    }

    public function proceAceitaPedCotWeb(DTO\Request $request, DTO\Response $response)
    {
        try {

            $params = $request->getRow();

            $cdfilial = $params['CDFILIAL'];
            $nrpedidocol = $params['NRPEDIDOCOL'];
            $idconsiste = $params['IDCONSISTE'];

            $this->addParam(new Param('P_CDFILIAL', Param::PARAM_INPUT, $cdfilial, Param::PARAM_TYPE_STR));
            $this->addParam(new Param('P_NRPEDIDOCOL', Param::PARAM_INPUT, $nrpedidocol, Param::PARAM_TYPE_STR));
            $this->addParam(new Param('P_IDCONSISTE', Param::PARAM_INPUT, $idconsiste, Param::PARAM_TYPE_STR));
            $this->addParam(new Param('P_IDACEITEOK', Param::PARAM_OUTPUT, null, Param::PARAM_TYPE_STR, 200));

            $code = $this->execute();

            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet ('idaceiteok', array($code['P_IDACEITEOK'])));

        } catch (\Exception $e) {
            $response->setError(new \Zeedhi\Framework\DTO\Response\Error($e->getMessage(), $e->getCode()));
        }

    }
}