/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_JSOL                                                     */
/* Tabela : JUSTSOLI                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 22/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_JSOL
BEFORE INSERT OR UPDATE OR DELETE
ON JUSTSOLI FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUJSOL := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDJUSTSOL,0) <> NVL(:NEW.CDJUSTSOL,0)) OR
         (NVL(:OLD.DSJUSTSOL,0) <> NVL(:NEW.DSJUSTSOL,0)) THEN
         :NEW.DTULTATUJSOL := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('JUSTSOLI', '', 'CDJUSTSOL='||:OLD.CDJUSTSOL||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE JUSTSOLI MODIFY DTULTATUJSOL DEFAULT SYSDATE
/
